Cargar las direcciones desplegadas de una revisión
curl --request POST \
--url https://app.blockgence.com/v1/audit/{audit_id}/deploy \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"chain": "<string>",
"addresses": [
{
"address": "<string>",
"role": "contract",
"label": "<string>"
}
]
}
'import requests
url = "https://app.blockgence.com/v1/audit/{audit_id}/deploy"
payload = {
"chain": "<string>",
"addresses": [
{
"address": "<string>",
"role": "contract",
"label": "<string>"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chain: '<string>',
addresses: [{address: '<string>', role: 'contract', label: '<string>'}]
})
};
fetch('https://app.blockgence.com/v1/audit/{audit_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.blockgence.com/v1/audit/{audit_id}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chain' => '<string>',
'addresses' => [
[
'address' => '<string>',
'role' => 'contract',
'label' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.blockgence.com/v1/audit/{audit_id}/deploy"
payload := strings.NewReader("{\n \"chain\": \"<string>\",\n \"addresses\": [\n {\n \"address\": \"<string>\",\n \"role\": \"contract\",\n \"label\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.blockgence.com/v1/audit/{audit_id}/deploy")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"chain\": \"<string>\",\n \"addresses\": [\n {\n \"address\": \"<string>\",\n \"role\": \"contract\",\n \"label\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.blockgence.com/v1/audit/{audit_id}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chain\": \"<string>\",\n \"addresses\": [\n {\n \"address\": \"<string>\",\n \"role\": \"contract\",\n \"label\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>",
"error": "<string>"
}Auditoría
Cargar las direcciones desplegadas de una revisión
Registra las direcciones desplegadas en una red para una revisión de su organización. Reemplaza las direcciones que había en esa red por las del pedido; una lista vacía las borra.
Cuerpo del pedido (JSON).
chain(obligatorio): red del despliegue, de las que listaGET /v1/chains.addresses(obligatorio): hasta 20 objetos conaddress(EVM,0x+ 40 hex),role(proxy,implementationocontract, por defecto) ylabel(hasta 80 caracteres).
Respuesta. La sección deploy actualizada: {demo, audit_id, section, data}.
Verificación. Cada dirección queda con verification.result: "pending". La comparación del bytecode con el
commit estará disponible próximamente, y una dirección nunca se da por verificada sin ella. Esta operación no lee
el control on-chain: el informe de control se obtiene con GET /v1/contract/{chain}/{addr}, que tiene su
propio costo.
Errores. Con cuerpo {"error": …, "detail": …}:
400:bad_chain,bad_addresses,bad_addressobad_role.403 demo_read_only: una auditoría de ejemplo no se modifica.403 org_requiredo403 read_only: la clave de API no tiene organización o el rol es de solo lectura.404 not_found: la auditoría no existe o es de otra organización.
Costo: sin cargo.
POST
/
v1
/
audit
/
{audit_id}
/
deploy
Cargar las direcciones desplegadas de una revisión
curl --request POST \
--url https://app.blockgence.com/v1/audit/{audit_id}/deploy \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"chain": "<string>",
"addresses": [
{
"address": "<string>",
"role": "contract",
"label": "<string>"
}
]
}
'import requests
url = "https://app.blockgence.com/v1/audit/{audit_id}/deploy"
payload = {
"chain": "<string>",
"addresses": [
{
"address": "<string>",
"role": "contract",
"label": "<string>"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chain: '<string>',
addresses: [{address: '<string>', role: 'contract', label: '<string>'}]
})
};
fetch('https://app.blockgence.com/v1/audit/{audit_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.blockgence.com/v1/audit/{audit_id}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chain' => '<string>',
'addresses' => [
[
'address' => '<string>',
'role' => 'contract',
'label' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.blockgence.com/v1/audit/{audit_id}/deploy"
payload := strings.NewReader("{\n \"chain\": \"<string>\",\n \"addresses\": [\n {\n \"address\": \"<string>\",\n \"role\": \"contract\",\n \"label\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.blockgence.com/v1/audit/{audit_id}/deploy")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"chain\": \"<string>\",\n \"addresses\": [\n {\n \"address\": \"<string>\",\n \"role\": \"contract\",\n \"label\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.blockgence.com/v1/audit/{audit_id}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chain\": \"<string>\",\n \"addresses\": [\n {\n \"address\": \"<string>\",\n \"role\": \"contract\",\n \"label\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>",
"error": "<string>"
}Autorizaciones
APIKeyHeaderBearerAuth
Encabezados
Parámetros de ruta
Cuerpo
application/json
Respuesta
Respuesta correcta.